Bug 5482 - Translation problem in guided reports - Item field names
Summary: Translation problem in guided reports - Item field names
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low normal (vote)
Assignee: Chris Cormack
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 6907
  Show dependency treegraph
 
Reported: 2010-12-11 08:23 UTC by Katrin Fischer
Modified: 2013-12-05 19:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 5482 - Translation problem in guided reports - Item field names (1.19 KB, patch)
2012-03-20 11:19 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 5482 - Translation problem in guided reports - Item field names (1.28 KB, patch)
2012-03-20 13:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 5482: Update colums.def file (9.20 KB, patch)
2012-03-20 15:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 5482: Update colums.def file (9.30 KB, patch)
2012-03-21 14:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 5482: [FOLLOW-UP] Update colums.def file (4.83 KB, patch)
2012-03-21 14:07 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 5482 [Follow up] Translation problem in guided reports - Item field names (4.86 KB, patch)
2012-03-21 14:20 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2010-12-11 08:23:23 UTC
The whole guided reports module has a lot of translation issues.

One problem are the non-translatable item field names. 
The field names are also not matching descriptions used in other modules, one example is:

Module: Catalog
Item cancelled = Item withdrawn 

Example: Catalog
koha-tmpl / intranet-tmpl / prog / en / columns.def 
The file seems not translatable, outdated and contains fields not existing in our database. The English labels don't match the normal Koha descriptions:

Not existing:
items.binding
items.spystatus
items.spydescr
items.spycopydata

Descriptions:
Item cancelled = Item withdrawn
...
I can fix the fields and labels - but this will not fix the translation problem. 

Is there a way we can make them translatable?
Comment 1 dev_patches 2011-04-22 14:03:43 UTC
I thought we could make that columns.def a yaml file, with the whole data structure.
But that might be big burden to update and keep synch with Schema.
Comment 2 Katrin Fischer 2012-03-08 06:53:17 UTC
This is still an issue. At the moment the file is a mix of descriptions and field names. We have the field names in other parts of Koha and we have some database documentation now. Perhaps we should remove the .def files as they are no longer maintained?
Comment 3 Owen Leonard 2012-03-20 10:27:59 UTC
We have a plan to begin to address this:

1. We will modify the template so that both the column name and the description appear in the template. If no description exists in columns.def, show only the column name.

2. Update the columns.def file so that at the very least it is current and readable. This is an stop-gap improvement pending a full translation method.

3. Come up with a method for translating the .def file. Whether or not the .def file is converted to yaml the translation script will have to be modified to find and process it.
Comment 4 Owen Leonard 2012-03-20 11:19:50 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2012-03-20 13:03:09 UTC
Created attachment 8348 [details] [review]
[SIGNED-OFF] Bug 5482 - Translation problem in guided reports - Item field names

This very minor correction adds display of the column name even
if the field description exists in the columns .def file.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Changes the display to show description / table.column.
Comment 6 Katrin Fischer 2012-03-20 15:15:07 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2012-03-21 14:05:23 UTC
Created attachment 8413 [details] [review]
[SIGNED-OFF] Bug 5482: Update colums.def file

Updates the borrowers and items table descriptions using the
descriptions from the interface and the MARC21 default framework.
Biblio and biblioitems still need some work.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 8 Owen Leonard 2012-03-21 14:07:40 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2012-03-21 14:20:56 UTC
Created attachment 8416 [details] [review]
[SIGNED-OFF] Bug 5482 [Follow up] Translation problem in guided reports - Item field names

Making some additional corrections.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 10 Paul Poulain 2012-03-22 10:18:50 UTC
QA comment : string only change, passed QA
Comment 11 Jared Camins-Esakov 2012-05-09 16:55:49 UTC
This bug will be included in the Koha 3.6.5 release.